/*
 *   OSPFD routing daemon
 *   Copyright (C) 1998 by John T. Moy
 *   
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License
 *   as published by the Free Software Foundation; either version 2
 *   of the License, or (at your option) any later version.
 *   
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *   
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/* Routines implementing MOSPF.
 */

#include "ospfinc.h"
#include "system.h"

/* MOSPF has just been enabled. Send out new router-LSAs
 * with the MC-bit set, and also reoriginate summary-LSAs
 * if we are and inter-area multicast forwarder.
 */

void OSPF::start_mospf()

{
}

/* Clear the entire MOSPF cache on an internal topology change.
 */

void OSPF::mospf_clear_cache()

{
}

/* Clear all intra-AS sources falling into a particular
 * range. Called when a summary-LSA changes.
 */

void OSPF::mospf_clear_inter_source(INrte * /* rte */)

{
}

/* Clear all external sources. Called when the distance to
 * and AS boundary router changes.
 */

void OSPF::mospf_clear_external_sources()

{
}

/* Clear a particular external source. Called when a
 * given AS-external-LSA changes.
 */

void OSPF::mospf_clear_external_source(INrte * /* rte */)

{
}

/* Clear all cacahe entries for a given group. Called
 * when a group-membership-LSA changes.
 */

void OSPF::mospf_clear_group(InAddr)

{
}
